ここから本文です

MacBook Proに買い変えたら、これまで使っていたプリンターが使えなくなりました。...

jam********さん

2012/5/707:34:33

MacBook Proに買い変えたら、これまで使っていたプリンターが使えなくなりました。メーカーはキャノンです。問い合わせしたところCanon PIXUS IP3100はMacOS10.7のプリンタードライバーがないとのこと。

「ないって?どういうことですか?」「申し訳ありません」たったこれだけのご返事でした。こんなことがあるなんて(>_<)どなたか対処方法をご存知ありませんでしょうか?このプリンターは捨てるしかないのでしょうか?キャノンって一流の会社かと思っていたのに…。残念です。

この質問は、活躍中のチエリアン・専門家に回答をリクエストしました。

閲覧数:
1,925
回答数:
4
お礼:
100枚

違反報告

ベストアンサーに選ばれた回答

poi********さん

2012/5/716:23:03

ぶっちゃけてしまえば、Macを使うということはそういうことなんです。

頻繁にOSがバージョンアップしてドライバ類がそれぞれのバージョンごとに別々のものが必要ということになるので
プリンタなどの周辺機器を作っているメーカーにとってはサポートが大変になってしまい
Macに関しては発売した当時の特定のバージョンのみでの動作対応ということが多いです。
# 「本体買い替えたら周辺機器も丸ごと買い換えるのが当たり前、古い周辺機器は古い本体ともに使う」
# というのがいわゆる旧来からのMac信者の人の認識です。

特にCPUがPowerPC系からIntel x86系に変更されたことで
OS自体もそれぞれのCPUごとに別々のものになってしまい、ドライバを使いまわすことも出来なくなったのが
ここ数年での大きな変化です。(PPC版とIntel版といった書き方をされます)


その点、Windowsは古いバージョン用のドライバをねじ込んでも動いてしまったり
最小限機能だけの汎用共通ドライバがOSに組みこまれていたりします。
良くも悪くもこの点だけはWindowsのほうが有利である点です。


---
そして、2004年10月発売の機種ですので
http://cweb.canon.jp/pls/webcc/WC_SHOW_CONTENTS.EdtDsp?i_tx_content...
すでに修理対応も打ち切られた機種であり
http://cweb.canon.jp/e-support/repair/parts-limit.html#bj
新しいOSに対応したドライバが提供されなくなっていたとしてもおかしくは無いのです。
# それでもまだサポート期限終了までに余裕のある段階にリリースされていたMac OS X 10.6用ドライバまでは提供されてますが。


ダメ元でMac OS X 10.6用のドライバをねじ込んでみるか
面倒であればさっさとプリンタを買い換えたほうが楽です。
どうせ今後の新しいOS用のドライバの提供の見込みも無いわけですし
壊れたときには修理が出来ないのが理由です。


というかキヤノンのサポートは一般家庭向け装置を売っているだけあってまともです。
一般家庭向けではない特定用途向けのえらく高い装置の場合でも
当時のOS以外ではまったく動作サポートしないなんてことも多々あります。

質問した人からのコメント

2012/5/8 07:59:46

降参 ありがとうございました。

ベストアンサー以外の回答

1〜3件/3件中

並び替え:回答日時の
新しい順
|古い順

不適切な内容が含まれている可能性があるため、非表示になっています。

投稿内容に関する注意

get********さん

2012/5/712:31:08

質問がキチガイすぎます。悪いのは質問者です。

swe********さん

2012/5/708:59:54

いや
プリンターのドライバに対応OS書いてるじゃないですか

見なかったあなたが悪い
なんで自分の責任をメーカーに押し付けてるの?

あなたごときのためにメーカーがドライバー作るとでも?

ぶっちゃけプリンターなんて買い換えた方が安い
7千円あれば買えるし、2万出せばかなり高性能
あなたの単価がどれだけ安いかしらないけど、ぐだぐだ掲示板に書くくらいなら買い換えた方が時間単価が安くつく

roy********さん

2012/5/707:45:01

いや コレは仕方無い
古すぎます

2004年発売なので既にサポート終了品です コレ
なので、ドライバの開発なども終了しています

MacOS10.2のドライバで動かなければ諦めるしかないかな…



この辺りはWindowsのほうが強いんですよね
過去のドライバやインボックスドライバで動いちゃうから…

みんなで作る知恵袋 悩みや疑問、なんでも気軽にきいちゃおう!

Q&Aをキーワードで検索:

Yahoo! JAPANは、回答に記載された内容の信ぴょう性、正確性を保証しておりません。
お客様自身の責任と判断で、ご利用ください。
本文はここまでです このページの先頭へ

「追加する」ボタンを押してください。

閉じる

※知恵コレクションに追加された質問は選択されたID/ニックネームのMy知恵袋で確認できます。

不適切な投稿でないことを報告しました。

閉じる